Subject: Re: [PATCH] Add cmd64x IDE driver to default pmac32 config

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 08 Jul 2010 16:30:20 +1000

On Thu, 2010-07-08 at 08:18 +0200, lawrence rust wrote:
> 
> Sure. it would be preferable but unfortunately the PowerMac on-board IDE
> controller (CONFIG_BLK_DEV_IDE_PMAC), used for the DVD drive on B/W
> G3's, doesn't have a PATA equivalent.  So it's pragmatic (until the IDE
> code is removed) to use the IDE cmd64x driver to minimise kernel code
> size.

Sure it does nowadays: drivers/ata/pata_macio.c :-)

I merged that upstream in december last year, so it didn't make 2.6.32
which your distro probably uses, but it is in .33 and later.

> A minor correction to my previous post, the first version of Ubuntu to
> suffer from this problem was 9.10. 

Cheers,
Ben.